Package edu.msu.cme.rdp.classifier.train

# Class RawGenusWordConditionalProb

java.lang.Object
edu.msu.cme.rdp.classifier.train.RawGenusWordConditionalProb

public class RawGenusWordConditionalProb extends Object
A RawGenusWordConditionalProb contains the index of the genus node and the conditional probability of the node contains the word.

## Constructor Summary

Constructors
Constructor
Description
`RawGenusWordConditionalProb(int index, float prob)`
Creates a new instance of RawGenusWordConditionalProb.

## Method Summary

Modifier and Type
Method
Description
`int`
`getGenusIndex()`
Returns the index of the genus.
`float`
`getProbability()`
Returns the word conditional probability of the genus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawGenusWordConditionalProb

public RawGenusWordConditionalProb(int index, float prob)
Creates a new instance of RawGenusWordConditionalProb.

## Method Details

### getGenusIndex

public int getGenusIndex()
Returns the index of the genus.

### getProbability

public float getProbability()
Returns the word conditional probability of the genus.